File: config.nextcc.h

package info (click to toggle)
gnustep-base 1.26.0-4
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 27,260 kB
  • sloc: objc: 204,878; ansic: 32,160; sh: 157; makefile: 128; cpp: 122; xml: 32
file content (19 lines) | stat: -rw-r--r-- 406 bytes parent folder | download | duplicates (14)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
/* 
 * This file is used by configure.in.
 * Causes cpp error when running NeXT's cc.
 * No error when running gcc on a NeXT box.
 */

#if defined(NeXT)
  #if defined(_NEXT_SOURCE)
    "Not running NeXT's cc"
  #else
    "Running NeXT's cc"
    #error
  #endif
#else
  "Not running NeXT's cc"
#endif

/* This would be useful, but it isn't available in NS3.0:
   #if defined(NX_CURRENT_COMPILER_RELEASE) */